<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ApplicationIcon>icon.ico</ApplicationIcon>
        <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
        <ApplicationManifest>app.manifest</ApplicationManifest>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.2.7" />
        <PackageReference Include="Avalonia.Desktop" Version="11.2.7" />
        <PackageReference Include="Avalonia.Themes.Fluent" Version="11.2.7" />
        <PackageReference Include="Avalonia.Fonts.Inter" Version="11.2.7" />
        <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
        <PackageReference Include="Avalonia.Diagnostics" Version="11.2.7">
            <IncludeAssets Condition="'$(Configuration)' != 'Debug'">None</IncludeAssets>
            <PrivateAssets Condition="'$(Configuration)' != 'Debug'">All</PrivateAssets>
        </PackageReference>
        <PackageReference Include="DiscUtils.Iso9660" Version="0.16.13" />
    </ItemGroup>

    <ItemGroup>
      <None Remove="Images\missing.png" />
      <AvaloniaResource Include="Assets\missing.png" />
      <None Remove="Images\vmc.png" />
      <AvaloniaResource Include="Assets\vmc.png" />
      <None Remove="Images\cd.png" />
      <AvaloniaResource Include="Assets\cd.png" />
      <None Remove="Images\dvd.png" />
      <AvaloniaResource Include="Assets\dvd.png" />
      <None Remove="Assets\bin.png" />
      <AvaloniaResource Include="Assets\bin.png" />
    </ItemGroup>
</Project>
